Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.utils
Class StringToIntTable

    java.lang.Object
      |
      +--org.apache.xalan.utils.StringToIntTable

public class StringToIntTable
extends java.lang.Object

**For internal use only** A very simple lookup table that stores a list of strings, the even number strings being keys, and the odd number strings being values.

Constructor Summary
`StringToIntTable()` **For internal use only** Default constructor.
`StringToIntTable(int blocksize)` **For internal use only** Construct a StringToIntTable, using the given block size.

Method Summary
`boolean` | `contains(java.lang.String key)` **For internal use only** Tell if the table contains the given string.
`int` | `get(java.lang.String key)` **For internal use only** Tell if the table contains the given string.
`int` | `getIgnoreCase(java.lang.String key)` **For internal use only** Tell if the table contains the given string.
`int` | `getLength()` **For internal use only** Get the length of the list.
`void` | `put(java.lang.String key, int value)` **For internal use only** Append a string onto the vector.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringToIntTable

    public StringToIntTable()

  **For internal use only** Default constructor. Note that the default block size is very small, for small lists.

### StringToIntTable

    public StringToIntTable(int blocksize)

  **For internal use only** Construct a StringToIntTable, using the given block size.

Method Detail

### getLength

    public final int getLength()

  **For internal use only** Get the length of the list.

### put

    public final void put(java.lang.String key,
                          int value)

  **For internal use only** Append a string onto the vector.

### get

    public final int get(java.lang.String key)

  **For internal use only** Tell if the table contains the given string.

### getIgnoreCase

    public final int getIgnoreCase(java.lang.String key)

  **For internal use only** Tell if the table contains the given string.

### contains

    public final boolean contains(java.lang.String key)

  **For internal use only** Tell if the table contains the given string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.